#
# spec file for package MozillaThunderbird
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#               2006-2012 Wolfgang Rosenauer <wr@rosenauer.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           MozillaThunderbird
BuildRequires:  autoconf213 fdupes gcc-c++ hunspell-devel libcurl-devel libgnomeui-devel libidl-devel libnotify-devel python startup-notification-devel unzip update-desktop-files zip
BuildRequires:  mozilla-nss-devel >= 3.12.8
%if %suse_version > 1100
BuildRequires:  nss-shared-helper-devel
%endif
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
%define mainversion 3.1.20
Version:        %{mainversion}
Release:        2.45
%define releasedate 2012030600
Provides:       thunderbird = %{version}
Summary:        The Stand-Alone Mozilla Mail Component
Url:            http://www.mozilla.org/products/thunderbird/
Group:          Productivity/Networking/Email/Clients
Source:         thunderbird-%{version}-source.tar.bz2
Source1:        MozillaThunderbird.desktop
Source2:        add-plugins.sh.in
Source3:        mozilla.sh.in
Source4:        l10n-%{version}.tar.bz2
#Source5:        shipped-locales
Source6:        suse-default-prefs.js
Source7:        find-external-requires.sh
Source8:        MozillaThunderbird-rpmlintrc
Source9:        enigmail-1.1.2.tar.bz2
Source10:       create-tar.sh
Patch1:         mozilla-dump_syms-static.patch
Patch2:         thunderbird-appname.patch
Patch4:         tb-ssldap.patch
Patch5:         tb-develdirs.patch
Patch9:         mozilla-shared-nss-db.patch
Patch10:        mozilla-gdk-pixbuf.patch
Patch11:        thunderbird-shared-nss-db.patch
Patch13:        mozilla-xsmp.patch
Patch14:        mozilla-gcc46.patch
Patch15:        mozilla-implicit-declarations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         coreutils fileutils textutils /bin/sh
### build options
%define build_enigmail 1
%define crashreporter  1
%define has_system_cairo 0
%if %suse_version > 1110
%define has_system_cairo 1
%endif
%define localize  1
### build options end
%define _use_internal_dependency_generator 0
%define __find_requires sh %{SOURCE7}
%global provfind sh -c "grep -v '.so' | %__find_provides"
%global __find_provides %provfind
Requires:       mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
Requires:       mozilla-nss >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss)
%define progname thunderbird
%define progdir %{_prefix}/%_lib/thunderbird
%define libgssapi libgssapi_krb5.so.2
%if %suse_version > 1130
%define desktop_file_name thunderbird
%else
%define desktop_file_name %{name}
%endif

%description
Mozilla Thunderbird is a redesign of the Mozilla Mail component. It is
written using the XUL user interface language and designed to be
cross-platform. It is a stand-alone application instead of part of the
Mozilla application suite.


%package translations-common
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Summary:        Common translations for MozillaThunderbird
Provides:       locale(%{name}:ar;ca;cs;da;de;en_GB;es_AR;es_ES;fi;fr;hu;it;ja;ko;nb_NO;nl;pl;pt_BR;pt_PT;ru;sv_SE;zh_CN;zh_TW)
Group:          System/Localization
PreReq:         %{name} = %{mainversion}
Obsoletes:      %{name}-translations < %{version}-%{release}

%description translations-common
This package contains several optional languages for the user interface
of MozillaThunderbird.


%package translations-other
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Summary:        Extra translations for MozillaThunderbird
Provides:       locale(%{name}:af;be;bg;bn_BD;el;et;eu;fy_NL;ga_IE;gd;gl;he;id;is;lt;nn_NO;pa_IN;ro;si;sk;sl;sq;sr;tr;uk;vi)
Group:          System/Localization
PreReq:         %{name} = %{mainversion}
Obsoletes:      %{name}-translations < %{version}-%{release}

%description translations-other
This package contains several optional languages for the user interface
of MozillaThunderbird.


%package devel
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Summary:        Mozilla Thunderbird SDK
Group:          Development/Libraries/Other
Requires:       mozilla-nspr-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr-devel)
PreReq:         mozilla-nss-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss-devel)
PreReq:         %{name} = %{mainversion}

%description devel
Software Development Kit to build plugins/extensions against Thunderbird.


%if %crashreporter

%package buildsymbols
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Summary:        Breakpad buildsymbols for %{name}
Group:          Development/Debug

%description buildsymbols
This subpackage contains the Breakpad created and compatible debugging
symbols meant for upload to Mozilla's crash collector database.
%endif

%if %build_enigmail

%package -n enigmail
Version:        1.1.2+%{mainversion}
Release:        0.2.45
License:        MPL-1.1 or GPL-2.0+
Summary:        OpenPGP addon for Thunderbird and SeaMonkey
Group:          Productivity/Networking/Email/Clients
Url:            http://enigmail.mozdev.org
Requires:       /usr/bin/gpg
%if %suse_version > 1110
Requires:       pinentry-gui
%else
Requires:       pinentry-dialog
%endif

%description -n enigmail
This package contains the Enigmail OpenPGP Addon for Thunderbird and SeaMonkey.
%endif

%prep
%if %build_enigmail
%setup -n thunderbird -q -b 4 -b 9
%else
%setup -n thunderbird -q -b 4
%endif
# xulrunner patches
pushd mozilla
%patch1 -p1
%patch9 -p1
%patch10 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
popd
# comm-central patches
%patch2 -p1
%patch4 -p1
%patch5
%patch11 -p1

%build
export SUSE_ASNEEDED=0
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
export CXXFLAGS="$CFLAGS"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
#
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MILESTONE_RELEASE=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
ac_add_options --enable-application=mail
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{progdir}
ac_add_options --includedir=%{_includedir}
ac_add_options --disable-tests
ac_add_options --disable-debug
ac_add_options --enable-optimize
ac_add_options --enable-static
ac_add_options --disable-shared
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-jpeg
ac_add_options --with-system-zlib
ac_add_options --with-l10n-base=../l10n
ac_add_options --disable-updater
#ac_add_options --with-system-png # no apng support
%if %suse_version > 1030
ac_add_options --enable-system-hunspell
%endif
ac_add_options --enable-ldap-experimental
ac_add_options --disable-installer
ac_add_options --disable-mochitest
ac_add_options --enable-startup-notification
ac_add_options --enable-official-branding
ac_add_options --disable-necko-wifi
EOF
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%if ! %crashreporter
cat << EOF >> $MOZCONFIG
ac_add_options --disable-crashreporter
EOF
%endif
make -f client.mk build
#
### enigmail build
%if %build_enigmail
cp -r $RPM_BUILD_DIR/enigmail $RPM_BUILD_DIR/thunderbird/mailnews/extensions/
(cd $RPM_BUILD_DIR/thunderbird/mailnews/extensions/enigmail; ./makemake -r; make; make xpi)
%endif

%install
make -C mail/installer STRIP=/bin/true
# copy tree into RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{progdir}
cp -rf $RPM_BUILD_DIR/thunderbird/mozilla/dist/thunderbird/* \
       $RPM_BUILD_ROOT%{progdir}
# build additional locales
%if %localize
%if 0%{?SOURCE5:1}
cp %SOURCE5 mail/locales/shipped-locales
%endif
rm -f %{_tmppath}/translations.*
for locale in $(awk '{ print $1; }' mail/locales/shipped-locales); do
  case $locale in
   ja-JP-mac|en-US)
        # locales not to be included in translations package
	;;
   *)
        make -C mail/locales libs-$locale || continue
        cp mozilla/dist/xpi-stage/locale-$locale/chrome/$locale.jar \
           $RPM_BUILD_ROOT%{progdir}/chrome
        cp mozilla/dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
           $RPM_BUILD_ROOT%{progdir}/chrome
        # check against the fixed common list and sort into the right filelist
        _matched=0
        for _match in ar ca cs da de en-GB es-AR es-CL es-ES fi fr hu it ja ko nb-NO nl pl pt-BR pt-PT ru sv-SE zh-CN zh-TW; do
          [ "$_match" = "$locale" ] && _matched=1
        done
        [ $_matched -eq 1 ] && _l10ntarget=common || _l10ntarget=other
        echo %{progdir}/chrome/$locale.jar      >> %{_tmppath}/translations.$_l10ntarget
        echo %{progdir}/chrome/$locale.manifest >> %{_tmppath}/translations.$_l10ntarget
  esac
done
%endif
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT%{_bindir}/
sed "s:%%PREFIX:%{_prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:thunderbird:g
s:%%PROFILE:.thunderbird:g" \
  %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT%{_bindir}/%{progname}
# freedesktop definition
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} \
               $RPM_BUILD_ROOT%{_datadir}/applications/%{desktop_file_name}.desktop
# install add-plugins.sh
sed "s:%%PROGDIR:%{progdir}:g" \
  %{SOURCE2} > $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{mainversion},g
s,GSSAPI,%{libgssapi},g' \
   %{SOURCE6} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT%{progdir}/defaults/pref/all-opensuse.js
rm suse-default-prefs
# use correct locale for useragent
cat > $RPM_BUILD_ROOT%{progdir}/defaults/pref/all-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
##########
# DEVEL
#
mkdir -p $RPM_BUILD_ROOT%{_includedir}/%{progname}
cp -rL mozilla/dist/sdk/bin/*    $RPM_BUILD_ROOT%{_libdir}/%{progname}/
cp -rL mozilla/dist/sdk/lib/*.a  $RPM_BUILD_ROOT%{_libdir}/%{progname}/
cp -rL mozilla/dist/idl/*        $RPM_BUILD_ROOT%{_includedir}/%{progname}/
cp -rL mozilla/dist/include/*    $RPM_BUILD_ROOT%{_includedir}/%{progname}/
#mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
#install -m 755 $RPM_BUILD_DIR/thunderbird/mozilla/build/unix/thunderbird-*.pc \
#               $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
#rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/thunderbird-nss.pc
#ln -sf nss.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/thunderbird-nss.pc
##########
# ADDONS
#
# install enigmail to extension dir
%if %build_enigmail
cp -L mozilla/dist/bin/enigmail-*.xpi $RPM_BUILD_ROOT%{progdir}
# Thunderbird location
_enig_dir=$RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/\{3550f703-e582-4d05-9a08-453d09bdfdc6\}/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
mkdir -p $_enig_dir
(cd $_enig_dir; unzip $RPM_BUILD_ROOT%{progdir}/enigmail-*.xpi)
# SeaMonkey location
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/\{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
(cd $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/\{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}; \
  ln -s ../\{3550f703-e582-4d05-9a08-453d09bdfdc6\}/\{847b3a00-7ab1-11d4-8f02-006008948af5\} )
# remove unwanted build artifacts
rm -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail.jar
rm -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-locale.jar
rm -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-en-US.jar
rm -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmail-skin.jar
rm -f $RPM_BUILD_ROOT%{progdir}/chrome/installed-chrome.txt
rm -f $RPM_BUILD_ROOT%{progdir}/chrome/enigmime.jar
rm -f $RPM_BUILD_ROOT%{progdir}/components/libenigmime.so
rm -f $RPM_BUILD_ROOT%{progdir}/components/ipc.xpt
rm -f $RPM_BUILD_ROOT%{progdir}/components/enig*
rm -f $RPM_BUILD_ROOT%{progdir}/components/libenigmime.so
rm -f $RPM_BUILD_ROOT%{progdir}/components/ipc.xpt
rm -rf $RPM_BUILD_ROOT%{progdir}/defaults/preferences/
rm -rf $RPM_BUILD_ROOT%{progdir}/platform/
rm -rf $RPM_BUILD_ROOT%{progdir}/wrappers/
rm -f $RPM_BUILD_ROOT%{progdir}/enigmail*.xpi
%endif
#
# remove spurious executable bits
find $RPM_BUILD_ROOT/usr/include/%{progname} -type f -exec chmod a-x {} \;
find $RPM_BUILD_ROOT%{_libdir}/%{progname} -name "*.js" | xargs chmod a-x
#
for size in 16 22 24 32 48 256; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps/
  ln -sf %{progdir}/chrome/icons/default/default$size.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps/%{progname}.png
done
%suse_update_desktop_file %{desktop_file_name} Network Email GTK
# excluded files
rm -f $RPM_BUILD_ROOT%{progdir}/thunderbird
rm -f $RPM_BUILD_ROOT%{progdir}/removed-files
rm -f $RPM_BUILD_ROOT%{progdir}/updater
rm -f $RPM_BUILD_ROOT%{progdir}/updater.ini
rm -f $RPM_BUILD_ROOT%{progdir}/update.locale
rm -f $RPM_BUILD_ROOT%{progdir}/dictionaries/en-US*
# Some sites use different partitions for /usr/(lib|lib64) and /usr/share.  Since you
# can't create hardlinks across partitions, we'll do this more than once.
%fdupes $RPM_BUILD_ROOT%{progdir}
%fdupes $RPM_BUILD_ROOT%{_libdir}/mozilla
%fdupes $RPM_BUILD_ROOT%{_datadir}
%fdupes $RPM_BUILD_ROOT%{_includedir}
%if %crashreporter
SYMBOLS_NAME="thunderbird-%{mainversion}-%{release}.%{_arch}-%{suse_version}-symbols"
make buildsymbols \
  SYMBOL_INDEX_NAME="$SYMBOLS_NAME.txt" \
  SYMBOL_ARCHIVE_BASENAME="$SYMBOLS_NAME"
if [ -e mozilla/dist/*symbols.zip ]; then
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/mozilla/
  cp mozilla/dist/*symbols.zip $RPM_BUILD_ROOT%{_datadir}/mozilla/
fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %localize
rm -rf %{_tmppath}/translations.*
%endif

%triggerin -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%progdir/add-plugins.sh > /dev/null 2>&1
exit 0

%post
%progdir/add-plugins.sh > /dev/null 2>&1
# remove enigmail on updates
if [ -e %progdir/extensions/\{847b3a00-7ab1-11d4-8f02-006008948af5\} ]; then
  rm -rf %progdir/extensions/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
fi
exit 0

%posttrans
if [ -e %progdir/add-plugins.sh ]; then
  %progdir/add-plugins.sh > /dev/null 2>&1
fi
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  rm -f %{progdir}/dictionaries/*
fi
exit 0

%files
%defattr(-,root,root)
%attr(755,root,root) %{progdir}/%{progname}.sh
%attr(755,root,root) %{progdir}/add-plugins.sh
%dir %{progdir}
%{progdir}/application.ini
%{progdir}/blocklist.xml
%{progdir}/res/
%{progdir}/README.txt
%{progdir}/libldap60.so
%{progdir}/libprldap60.so
%{progdir}/libssldap60.so
%{progdir}/libldif60.so
%{progdir}/libsqlite3.so
%{progdir}/libmozjs.so
%{progdir}/libxpcom_core.so
%{progdir}/libxpcom.so
%{progdir}/mozilla-xremote-client
%{progdir}/platform.ini
%{progdir}/run-mozilla.sh
%{progdir}/thunderbird-bin
# crashreporter files
%if %crashreporter
%{progdir}/crashreporter
%{progdir}/crashreporter.ini
%{progdir}/Throbber-small.gif
%endif
%{progdir}/components/
%{progdir}/modules/
%dir %{progdir}/chrome/
%{progdir}/chrome/classic.*
%{progdir}/chrome/comm.*
%{progdir}/chrome/en-US.*
%{progdir}/chrome/gloda.*
%{progdir}/chrome/messenger.*
%{progdir}/chrome/newsblog.*
%{progdir}/chrome/pippki.*
%{progdir}/chrome/toolkit.*
%{progdir}/chrome/icons/
%dir %{progdir}/dictionaries/
%{progdir}/defaults/
%{progdir}/greprefs/
%{progdir}/extensions/
%{progdir}/isp/
%{_datadir}/applications/%{desktop_file_name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{progname}.png
%{_bindir}/%{progname}

%if %localize

%files translations-common -f %{_tmppath}/translations.common
%defattr(-,root,root)

%files translations-other -f %{_tmppath}/translations.other
%defattr(-,root,root)
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/%{progname}/*.a
%{_libdir}/%{progname}/regxpcom
%{_libdir}/%{progname}/xpidl
%{_libdir}/%{progname}/xpt_dump
%{_libdir}/%{progname}/xpt_link
#%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{progname}/

%if %build_enigmail

%files -n enigmail
%defattr(-,root,root)
%dir %{_libdir}/mozilla
%{_libdir}/mozilla/extensions/
%endif

%if %crashreporter

%files buildsymbols
%defattr(-,root,root)
%{_datadir}/mozilla/
%endif

%changelog
* Tue Mar  6 2012 wr@rosenauer.org
- security update to 3.1.20 (bnc#750044)
  * MFSA 2011-55/CVE-2011-3658 (bmo#708186)
    nsSVGValue out-of-bounds access
  * MFSA 2012-13/CVE-2012-0455 (bmo#704354)
    XSS with Drag and Drop and Javascript: URL
  * MFSA 2012-14/CVE-2012-0456/CVE-2012-0457 (bmo#711653, #720103)
    SVG issues found with Address Sanitizer
  * MFSA 2012-16/CVE-2012-0458
    Escalation of privilege with Javascript: URL as home page
  * MFSA 2012-19/CVE-2012-0461/CVE-2012-0462/CVE-2012-0464/
    CVE-2012-0463
    Miscellaneous memory safety hazards
* Thu Feb 16 2012 wr@rosenauer.org
- security update to 3.1.19 (bnc#747328)
  * CVE-2011-3026 (bmo#727401)
    libpng: integer overflow leading to heap-buffer overflow
* Sun Jan 29 2012 wr@rosenauer.org
- security update to 3.1.18 (bnc#744275)
  * MFSA 2012-01/CVE-2012-0442/CVE-2012-0443
    Miscellaneous memory safety hazards
  * MFSA 2012-02/CVE-2011-3670 (bmo#504014)
  * MFSA 2012-04/CVE-2011-3659 (bmo#708198)
    Child nodes from nsDOMAttribute still accessible after removal
    of nodes
  * MFSA 2012-07/CVE-2012-0444 (bmo#719612)
    Potential Memory Corruption When Decoding Ogg Vorbis files
  * MFSA 2012-08/CVE-2012-0449 (bmo#701806, bmo#702466)
    Crash with malformed embedded XSLT stylesheets
* Sun Dec 18 2011 wr@rosenauer.org
- security update to 3.1.17 (bnc#737533)
  * MFSA 2011-59/CVE-2011-3666 (bmo#704622)
    .jar not treated as executable in Firefox 3.6 on Mac
* Tue Nov  1 2011 wr@rosenauer.org
- security update to 3.1.16 (bnc#728520)
  * MFSA 2011-46/CVE-2011-3647 (bmo#680880)
    loadSubScript unwraps XPCNativeWrapper scope parameter
  * MFSA 2011-47/CVE-2011-3648 (bmo#690225)
    Potential XSS against sites using Shift-JIS
  * MFSA 2011-49/CVE-2011-3650 (bmo#674776)
    Memory corruption while profiling using Firebug
* Wed Sep 21 2011 wr@rosenauer.org
- security update to 3.1.15 (bnc#720264)
  * MFSA 2011-36/CVE-2011-2995/CVE-2011-2996
    Miscellaneous memory safety hazards
  * MFSA 2011-38/CVE-2011-2999 (bmo#665548)
    XSS via plugins and shadowed window.location object
  * MFSA 2011-39/CVE-2011-3000 (bmo#655389)
    Defense against multiple Location headers due to CRLF Injection
  * MFSA 2011-40/CVE-2011-2372/CVE-2011-3001
    Code installation through holding down Enter
* Wed Sep  7 2011 pcerny@suse.com
- security update to 3.1.14 (bnc#714931)
  * Complete blocking of certificates issued by DigiNotar
    (bmo#683449)
* Mon Sep  5 2011 pcerny@suse.com
- security update to 3.1.13 (bnc#714931)
  * MFSA 2011-34
    Protection against fraudulent DigiNotar certificates
    (bmo#682927)
* Thu Aug 25 2011 dmueller@suse.de
- make enigmail a subversion of Thunderbird to fix %%release
  number tracking issues with the Open Build Service
* Fri Aug  5 2011 wr@rosenauer.org
- security update to version 3.1.12 (bnc#712224) MFSA 2011-32
  * CVE-2011-2982
    Miscellaneous memory safety hazards
  * CVE-2011-0084 (bmo#648094)
    Crash in SVGTextElement.getCharNumAtPosition()
  * CVE-2011-2981
    Privilege escalation using event handlers
  * CVE-2011-2378 (bmo#648065)
    Dangling pointer vulnerability in appendChild
  * CVE-2011-2984 (bmo#572129)
    Privilege escalation dropping a tab element in content area
  * CVE-2011-2980 (bmo#642469)
    Binary planting vulnerability in ThinkPadSensor::Startup
  * CVE-2011-2983 (bmo#626297)
    Private data leakage using RegExp.input
* Mon Jun 20 2011 wr@rosenauer.org
- security update to version 3.1.11 (bnc#701296)
  * MFSA 2011-19/CVE-2011-2374 CVE-2011-2376 CVE-2011-2364
    CVE-2011-2365
    Miscellaneous memory safety hazards
  * MFSA 2011-20/CVE-2011-2373 (bmo#617247)
    Use-after-free vulnerability when viewing XUL document with
    script disabled
  * MFSA 2011-21/CVE-2011-2377 (bmo#638018, bmo#639303)
    Memory corruption due to multipart/x-mixed-replace images
  * MFSA 2011-22/CVE-2011-2371 (bmo#664009)
    Integer overflow and arbitrary code execution in
    Array.reduceRight()
  * MFSA 2011-23/CVE-2011-0083 CVE-2011-0085 CVE-2011-2363
    Multiple dangling pointer vulnerabilities
  * MFSA 2011-24/CVE-2011-2362 (bmo#616264)
    Cookie isolation error
- speed up find-external-requires.sh
- do not build dump_syms static as it is not needed for us
  - > fixes build for 12.1 and above
* Fri Apr 15 2011 wr@rosenauer.org
- security update to version 3.1.10 (bnc#689281)
  * MFSA 2011-12/ CVE-2011-0069 CVE-2011-0070 CVE-2011-0072
    CVE-2011-0074 CVE-2011-0075 CVE-2011-0077 CVE-2011-0078
    CVE-2011-0080 CVE-2011-0081
    Miscellaneous memory safety hazards
* Fri Mar 25 2011 idoenmez@novell.com
- Add mozilla-gcc46.patch: fix compilation with gcc 4.6
  See the following bug reports:
    https://bugzilla.mozilla.org/show_bug.cgi?id=623116
    https://bugzilla.mozilla.org/show_bug.cgi?id=623123
    https://bugzilla.mozilla.org/show_bug.cgi?id=623126
    https://bugzilla.mozilla.org/show_bug.cgi?id=628371
* Tue Feb 22 2011 wr@rosenauer.org
- security update to version 3.1.8 (build3) (bnc#667155)
  * MFSA 2011-01/CVE-2011-0053/CVE-2011-0062
    Miscellaneous memory safety hazards (rv:1.9.2.14/ 1.9.1.17)
  * MFSA 2011-08/CVE-2010-1585 (bmo#562547)
    ParanoidFragmentSink allows javascript: URLs in chrome documents
  * MFSA 2011-09/CVE-2011-0061 (bmo#610601)
    Crash caused by corrupted JPEG image
* Thu Jan 13 2011 wr@rosenauer.org
- rename desktop file for 11.4 and above (bnc#664211)
* Mon Jan 10 2011 wr@rosenauer.org
- add x-scheme-handler/mailto as mimetype to the desktop file
  as needed by newer Gnome environment
* Mon Nov 29 2010 wr@rosenauer.org
- security update to version 3.1.7 (bnc#657016)
  * MFSA 2010-74/CVE-2010-3776/CVE-2010-3777/CVE-2010-3778
    Miscellaneous memory safety hazards (rv:1.9.2.13/ 1.9.1.16)
  * MFSA 2010-75/CVE-2010-3769 (bmo#608336)
    Buffer overflow while line breaking after document.write with
    long string
  * MFSA 2010-78/CVE-2010-3768 (bmo#527276)
    Add support for OTS font sanitizer
- provide versioned "thunderbird" symbol
* Wed Oct 27 2010 wr@rosenauer.org
- security update to version 3.1.6 (bnc#649492)
  * MFSA 2010-73/CVE-2010-3765 (bmo#607222)
    Heap buffer overflow mixing document.write and DOM insertion
* Wed Oct  6 2010 wr@rosenauer.org
- security update to version 3.1.5 (bnc#645315)
  * MFSA 2010-64/CVE-2010-3174/CVE-2010-3175/CVE-2010-3176
    Miscellaneous memory safety hazards
  * MFSA 2010-65/CVE-2010-3179 (bmo#583077)
    Buffer overflow and memory corruption using document.write
  * MFSA 2010-66/CVE-2010-3180 (bmo#588929)
    Use-after-free error in nsBarProp
  * MFSA 2010-67/CVE-2010-3183 (bmo#598669)
    Dangling pointer vulnerability in LookupGetterOrSetter
  * MFSA 2010-69/CVE-2010-3178 (bmo#576616)
    Cross-site information disclosure via modal calls
  * MFSA 2010-70/CVE-2010-3170 (bmo#578697)
    SSL wildcard certificate matching IP addresses
  * MFSA 2010-71/CVE-2010-3182 (bmo#590753, bnc#642502)
    Unsafe library loading vulnerabilities
  * MFSA 2010-72/CVE-2010-3173
    Insecure Diffie-Hellman key exchange
  * new extra locales
  * removed upstreamed mozilla-helper-app.patch
- require mozilla-nss >= 3.12.8
* Wed Sep 15 2010 wr@rosenauer.org
- update to version 3.1.4
  * fixing startup topcrash
* Mon Aug 30 2010 wr@rosenauer.org
- security update to version 3.1.3 (bnc#637303)
  * MFSA 2010-49/CVE-2010-3169
    Miscellaneous memory safety hazards
  * MFSA 2010-50/CVE-2010-2765 (bmo#576447)
    Frameset integer overflow vulnerability
  * MFSA 2010-51/CVE-2010-2767 (bmo#584512)
    Dangling pointer vulnerability using DOM plugin array
  * MFSA 2010-53/CVE-2010-3166 (bmo#579655)
    Heap buffer overflow in nsTextFrameUtils::TransformText
  * MFSA 2010-54/CVE-2010-2760 (bmo#585815)
    Dangling pointer vulnerability in nsTreeSelection
  * MFSA 2010-55/CVE-2010-3168 (bmo#576075)
    XUL tree removal crash and remote code execution
  * MFSA 2010-56/CVE-2010-3167 (bmo#576070)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-57/CVE-2010-2766 (bmo#580445)
    Crash and remote code execution in normalizeDocument
  * MFSA 2010-59/CVE-2010-2762 (bmo#584180)
    SJOW creates scope chains ending in outer object
  * MFSA 2010-61/CVE-2010-2768 (bmo#579744)
    UTF-7 XSS by overriding document charset using <object> type
    attribute
  * MFSA 2010-62/CVE-2010-2769 (bmo#520189)
    Copy-and-paste or drag-and-drop into designMode document allows
    XSS
  * MFSA 2010-63/CVE-2010-2764 (bmo#552090)
    Information leak via XMLHttpRequest statusText
- ESD notification sound fix included upstream
* Mon Aug 30 2010 wr@rosenauer.org
- fixed build with latest Gnome
  (mozilla-gdk-pixbuf.patch)
* Sat Jul 24 2010 wr@rosenauer.org
- update to version 3.1.1
  * based on the Gecko 1.9.2 platform
  * Faster Search Results
  * Quick Filter Toolbar
  * New Migration Assistant
  * Saved Files Manager
- update to enigmail 1.1.2
- enable crashreporter and package buildsymbols
- fixed esd sound output (notifications) (bmo#576365)
* Fri Jul 16 2010 wr@rosenauer.org
- security update to 3.0.6 (bnc#622506)
  * MFSA 2010-34/CVE-2010-1211/CVE-2010-1212
    Miscellaneous memory safety hazards
  * MFSA 2010-39/CVE-2010-2752 (bmo#574059)
    nsCSSValue::Array index integer overflow
  * MFSA 2010-40/CVE-2010-2753 (bmo#571106)
    nsTreeSelection dangling pointer remote code execution
    vulnerability
  * MFSA 2010-41/CVE-2010-1205 (bmo#570451)
    Remote code execution using malformed PNG image
  * MFSA 2010-42/CVE-2010-1213 (bmo#568148)
    Cross-origin data disclosure via Web Workers and importScripts
  * MFSA 2010-46/CVE-2010-0654 (bmo#524223)
    Cross-domain data theft using CSS
  * MFSA 2010-47/CVE-2010-2754 (bmo#568564)
    Cross-origin data leakage from script filename in error messages
* Fri May 21 2010 wr@rosenauer.org
- security update to 3.0.5 (bnc#603356)
  * MFSA 2010-25/CVE-2010-1121 (bmo#555109)
    Re-use of freed object due to scope confusion
  * MFSA 2010-26/CVE-2010-1200/CVE-2010-1201/CVE-2010-1202/
    CVE-2010-1203
    Crashes with evidence of memory corruption (rv:1.9.1.10)
  * MFSA 2010-29/CVE-2010-1196 (bmo#534666)
    Heap buffer overflow in nsGenericDOMDataNode::SetTextInternal
  * MFSA 2010-30/CVE-2010-1199 (bmo#554255)
    Integer Overflow in XSLT Node Sorting
* Mon Apr 12 2010 wr@rosenauer.org
- do not encode the RPM release number into the useragent
  to avoid non useful republishing (bnc#593807)
* Wed Mar 17 2010 wr@rosenauer.org
- security update to 3.0.4 (bnc#586567)
  * MFSA 2010-16/CVE-2010-0173/CVE-2010-0174
    Crashes with evidence of memory corruption
  * MFSA 2010-17/CVE-2010-0175 (bmo#540100,375928)
    Remote code execution with use-after-free in nsTreeSelection
  * MFSA 2010-18/CVE-2010-0176 (bmo#538308)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-22/CVE-2009-3555 (bmo#545755)
    Update NSS to support TLS renegotiation indication
  * MFSA 2010-24/CVE-2010-0182 (bmo#490790)
    XMLDocument::load() doesn't check nsIContentPolicy
* Sun Feb 28 2010 wr@rosenauer.org
- update to 3.0.3
  * Fix for missing folders or empty folder pane after updating
    to Thunderbird 3.0.2
* Fri Feb 26 2010 wr@rosenauer.org
- security update to 3.0.2 (bnc#576969)
  * MFSA 2010-01/CVE-2010-0159
    Crashes with evidence of memory corruption
  * MFSA 2010-03/CVE-2009-1571
    Use-after-free crash in HTML parser
  * various stability improvements
- update enigmail to 1.0.1
  * Czech, Dutch, Polish and Portuguese (Brazilian) languages
    were added to the release.
  * there are several fixes related using OpenPGP Smartcards
- use system hunspell again (bnc#582276)
* Mon Jan 11 2010 wr@rosenauer.org
- update to 3.0.1
  * fixed UI issues related to some combinations of installed addons
    (bmo#398702)
- fixed session restore (bnc#528406, bmo#508986)
- removed obsolete lightning stuff from spec file
- removed obsolete orbit-devel build requirement
* Mon Dec  7 2009 wr@rosenauer.org
- update to 3.0 (bnc#559819)
- update enigmail to final version 1.0.0
- use --disable-updater and removed obsolete UI patch and
  pref changes
- use internal cairo up to 11.1 (Gecko now requires at least 1.8.8)
- added mozilla-clipboard.patch fixing a common crash (bmo#495392)
- removed upstreamed patch thunderbird-cs-smtpauth.patch
* Wed Oct  7 2009 wr@rosenauer.org
- fixed startup-notification (bnc#518603)
  (mozilla-startup-notification.patch)
* Tue Sep 29 2009 wr@rosenauer.org
- fixed CS locale to allow SMTP AUTH sending of mails (bnc#542809)
* Tue Sep 15 2009 wr@rosenauer.org
- update to 3.0b4
  * removed upstreamed patches
  * based on Gecko 1.9.1.3 (inheriting security fixes)
  * new global search
* Tue Aug 25 2009 wr@rosenauer.org
- reversioned enigmail to 0.96.99 (as it's actually 0.97a and 0.96
  has been released already)
- fixed RPM group for the translation subpackages
* Fri Aug 21 2009 wr@rosenauer.org
- remove obsolete code for protocol handlers (bmo#389732)
  (mozilla-protocol_handler.patch)
- new enigmail snapshot (20090813)
- require pinentry-gui for 11.2 and up (bnc#441084)
* Sun Aug  9 2009 wr@rosenauer.org
- Gtk filechooser allows alternative button order (as used in KDE)
  (bnc#527418)
- translations{,-common} package doesn't provide en-US
- split translations into -common and -other packages (bnc#529180)
* Tue Jul 28 2009 wr@rosenauer.org
- fixed wrong %%exclude by removing unwanted files at %%install stage
* Fri Jul 17 2009 wr@rosenauer.org
- major update to 3.0b3
- update enigmail to 0.96pre
- created enigmail subpackage and install to system wide location
  for Thunderbird and SeaMonkey
- define MOZ_APP_LAUNCHER for session management (bmo#453689)
  (mozilla-app-launcher.patch and mozilla.sh.in)
- move opensuse.js prefs to all-opensuse.js prefs to be able
  to override prefs in all-thunderbird.js
- move intl.locale.matchOS to all-opensuse.js
- added mozilla-jemalloc_deepbind.patch to fix various possible
  crashes (bnc#503151, bmo#493541)
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Tue Jun  2 2009 wr@rosenauer.org
- Fixed build issue for gcc 4.4 (mozilla-gcc44.patch)
* Wed Mar 18 2009 wr@rosenauer.org
- security update to version 2.0.0.21 (bnc#484321)
  * MFSA 2009-07/CVE-2009-0771, CVE-2009-0772, CVE-2009-0773
    CVE-2009-0774:
    Crashes with evidence of memory corruption (rv:1.9.0.7)
  * MFSA 2009-09/CVE-2009-0776:
    XML data theft via RDFXMLDataSource and cross-domain redirect
  * MFSA 2009-10/CVE-2009-0040:
    Upgrade PNG library to fix memory safety hazards
* Fri Jan  2 2009 hfiguiere@suse.de
- Review and approve changes.
* Wed Dec 31 2008 wr@rosenauer.org
- security update to version 2.0.0.19 (bnc#455804)
  + MFSA 2008-68/CVE-2008-5511 and CVE-2008-5512: XSS and JavaScript
    privilege escalation
  + MFSA 2008-67/CVE-2008-5510: Escaped null characters ignored by
    CSS parser
  + MFSA 2008-66/CVE-2008-5508: Errors parsing URLs with leading
    whitespace and control characters
  + MFSA 2008-65/CVE-2008-5507: Cross-domain data theft via script
    redirect error message
  + MFSA 2008-64/CVE-2008-5506: XMLHttpRequest 302 response disclosure
  + MFSA 2008-61/CVE-2008-5503: Information stealing via loadBindingDocument
  + MFSA 2008-60/CVE-2008-5500, CVE-2008-5501 and CVE-2008-5502:
    Crashes with evidence of memory corruption (rv:1.9.0.5/1.8.1.19)
- improved mozilla-shared-nss-db.patch and
  mozilla-system-hunspell.patch to be able to apply them
  unconditionally
* Fri Nov 21 2008 wr@rosenauer.org
- Add mozilla-shared-nss-db.patch which allows migrating to and
  sharing with other applications using NSS
  (same functionality as in xulrunner/firefox)
  (can be disabled completely exporting MOZ_TB_NO_NSSHELPER=1)
* Fri Nov 21 2008 maw@suse.de
- Review and approve changes.
* Thu Nov 13 2008 wr@rosenauer.org
- security update to version 2.0.0.18 (bnc#439841)
  * MFSA 2008-48 / CVE-2008-5012
    Image stealing via canvas and HTTP redirect
  * MFSA 2008-50 / CVE-2008-5014 (bmo#436741)
    Crash and remote code execution via __proto__ tampering
  * MFSA 2008-52 / CVE-2008-5016 / CVE-2008-5017 / CVE-2008-5018
    Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  * MFSA 2008-55 / CVE-2008-5021 (bmo#456896)
    Crash and remote code execution in nsFrameManager
  * MFSA 2008-56 / CVE-2008-5022 (bmo#460002)
    nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  * MFSA 2008-58 / CVE-2008-5024 (bmo#453915)
    Parsing error in E4X default namespace
* Wed Oct 15 2008 maw@suse.de
- Review and approve changes.
* Wed Oct  8 2008 wr@rosenauer.org
- use system hunspell from 11.0 on (bnc#385739)
- remove more executable bits from non-executable files
* Tue Sep 23 2008 wr@rosenauer.org
- security update to version 2.0.0.17 (bnc#429179)
  * MFSA 2008-37 / CVE-2008-0016
    UTF-8 URL stack buffer overflow
  * MFSA 2008-38 / CVE-2008-3835
    nsXMLDocument::OnChannelRedirect() same-origin violation
  * MFSA 2008-41 / CVE-2008-4058 / CVE-2008-4059 / CVE-2008-4060
    Privilege escalation via XPCnativeWrapper pollution
  * MFSA 2008-42 / CVE-2008-4061 / CVE-2008-4062 / CVE-2008-4063
    CVE-2008-4064
    Crashes with evidence of memory corruption
  * MFSA 2008-43 / CVE-2008-4065 / CVE-2008-4066
    BOM characters, low surrogates stripped from JavaScript before
    execution
  * MFSA 2008-44 / CVE-2008-4067 / CVE-2008-4068
    resource: traversal vulnerabilities
  * MFSA 2008-46 / CVE-2008-4070
    Heap overflow when canceling newsgroup message
* Mon Sep 15 2008 wr@rosenauer.org
- fixed undefined operation in nsMailboxService.cpp (abuild.patch)
- cleanup spec a bit while merging from OBS/mozilla
  * forwarding old fixes to cups-paper.patch, mozilla.sh.in and
    add-plugins.sh (were fixed long ago in the OBS repo)
* Thu Sep 11 2008 mauro@suse.de
- Update to 2.0.0.16 (fixed bnc#417869), fixes:
  + MFSA 2008-34  Remote code execution by overflowing CSS
    reference counter
  + MFSA 2008-33 Crash and remote code execution in block reflow
  + MFSA 2008-31 Peer-trusted certs can use alt names to spoof
  + MFSA 2008-29 Faulty .properties file results in uninitialized
    memory being used
  + MFSA 2008-26 Buffer length checks in MIME processing
  + MFSA 2008-25 Arbitrary code execution in
    mozIJSSubScriptLoader.loadSubScript()
  + MFSA 2008-24 Chrome script loading from fastload file
  + MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)
* Wed Jul 23 2008 schwab@suse.de
- Remove unused includes.
* Tue Jun 24 2008 maw@suse.de
- Security update to version 2.0.0.14 (bnc#390992):
  + MFSA 2008-15 / CVE-2008-1236 and CVE-2008-1237: Crashes with
    evidence of memory corruption (rv:1.8.1.13)
  + MFSA 2008-14 / CVE-2008-1233, CVE-2008-1234, and CVE-2008-1235:
    JavaScript privilege escalation and arbitrary code execution
- Drop the following patches: thunderbird-2.0.0.14-backports.patch,
  mozilla-missing-decl.patch, and unused-includes.patch
- Respin mozilla-gcc4.3-fixes.patch.
* Fri May 30 2008 maw@suse.de
- Add thunderbird-2.0.0.14-backports.patch (bnc390992).
* Fri May 16 2008 schwab@suse.de
- Remove unused includes.
* Mon Mar 24 2008 maw@suse.de
- Add mozilla-missing-decl.patch, which is necessary when building
  against new versions of mozilla-nss (bmo#399589).
* Fri Mar  7 2008 maw@suse.de
- Security update to version 2.0.0.12 (bnc#354469)
  * MFSA 2008-12 Buffer overflow in external MIME bodies
- Replace mozilla-maxpathlen.patch with mozilla-path_len.patch, for
  consistency's sake.
* Thu Jan 17 2008 maw@suse.de
- Add mozilla-maxpathlen.patch (#354150 and bmo #412610).
* Tue Jan 15 2008 maw@suse.de
- Merge changes from the build service (thanks, Wolfgang)
- Update to version 2.0.9.9 (MFSA 2007-29)
- Update enigmail to version 0.95.6
- Add a -devel subpackage
- Various fixes to enable building with gcc 4.3.
* Tue Nov 13 2007 maw@suse.de
- Add thunderbird-gcc4.3-fixes.patch
- Add visibility.patch.
* Thu Sep 13 2007 cthiel@suse.de
- recommend gpg instead of requireing a fixed path
* Wed Sep 12 2007 maw@suse.de
- Added gpg/pinentry requirements (#309160).
* Mon Sep  3 2007 maw@suse.de
- Don't run %%fdupes on directories where multiple partitions
  are liable to be mounted.
* Mon Sep  3 2007 maw@suse.de
- Merge some changes from the build service (thanks, Wolfgang):
  + Provide locale info (#302288)
  + Update releasedate
- Uncomment %%clean.
* Tue Aug 21 2007 maw@suse.de
- Use %%fdupes.
* Tue Aug 21 2007 maw@suse.de
- Merge updates from the build service:
- Update to security release 2.0.0.6:
  * MFSA 2007-26  Privilege escalation through chrome-loaded
    about:blank windows
  * MFSA 2007-27  Unescaped URIs passed to external programs
- Update enigmail to version 0.95.3.
* Wed Aug 15 2007 maw@suse.de
- On x86_64, s390, and s390x, deactivate the hidden visibility
  support, thereby fixing the build.
* Wed Jul 25 2007 maw@suse.de
- Security update to version 2.0.0.5 (#288115)
- This new release has fixes for:
  MFSA 2007-18
    CVE-2007-3734 - Browser flaws
    CVE-2007-3735 - Javascript flaws
  MFSA 2007-19
    CVE-2007-3736
  MFSA 2007-20
    CVE-2007-3089
  MFSA 2007-21
    CVE-2007-3737
  MFSA 2007-22
    CVE-2007-3285
  MFSA 2007-23
    CVE-2007-3670
  MFSA 2007-24
    CVE-2007-3656
  MFSA 2007-25
    CVE-2007-3738
- Update to enigmail 0.95.2.
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Fri Jun 15 2007 maw@suse.de
- Merge update to 2.0.0.4 from the build service (thanks, Wolfgang)
- Remove some commented out stuff.
* Wed Jun 13 2007 wr@rosenauer.org
- update to maintenance release 2.0.0.4
- update enigmail to 0.95.1
- adopted patches:
  * fixed cups-paper.patch (copied from FF)
  * removed obsolete visibility.patch
* Tue Jun 12 2007 maw@suse.de
- Merge chagnges from the build service (thanks, Wolfgang)
- Now use l10n-%%{version}.tar.bz2 instead of l10n.tar.bz2 as
  before.
* Tue Jun  5 2007 maw@suse.de
- Security update to version 1.5.0.12 (#271197).
* Tue Jun  5 2007 sbrabec@suse.cz
- Removed invalid desktop category "Application" (#254654).
* Thu Apr 19 2007 wr@rosenauer.org
- update to final version 2.0.0.0
  (http://www.mozilla.com/en-US/thunderbird/2.0.0.0/releasenotes/)
- update enigmail to 0.95.0
* Wed Apr 18 2007 mfabian@suse.de
- add Japanese to the languages which get PANGO enabled in the
  start script to support the Japanese combining characters
  U+3099 U+309A (see bugzilla #262718 comment #29).
* Thu Apr 12 2007 wr@rosenauer.org
- update to 2.0.0.0rc1
- enabled translations package
* Fri Mar 30 2007 wr@rosenauer.org
- update to snapshot 2.0.0.0pre-20070329
- security update enigmail 0.94.3
  (Bugtraq #22758)
* Fri Mar 30 2007 meissner@suse.de
- require unzip
* Tue Mar 13 2007 wr@rosenauer.org
- update to snapshot 2.0pre-20060312
- removed implicit NSS version dependency
* Thu Mar  8 2007 meissner@suse.de
- Upgraded to 1.5.0.10 security release.
- Upgraded to enigmail 0.94.2.
* Thu Feb 15 2007 wr@rosenauer.org
- update to snapshot 2.0beta2-20060214
- fixed build on SLES9
* Mon Feb  5 2007 wr@rosenauer.org
- fixed check in add-plugins.sh (#242237)
* Tue Jan 30 2007 maw@suse.de
- Add thunderbird-1.5.0.8-uninitalized-vars-232305.patch (#232305).
* Thu Jan 18 2007 maw@suse.de
- Add undefined-ops.patch, silencing some warnings.
* Thu Nov  9 2006 jhargadon@suse.de
- security update to version 1.5.0.8
* Tue Sep 12 2006 stark@suse.de
- security update to version 1.5.0.7
* Mon Aug 14 2006 stark@suse.de
- update enigmail to 0.94.1
  * Added support for signing attachments with inline-PGP
- update mailredirect to 0.7.4
- added backend patch to allow replies to list with
  ReplyToListThunderbirdExtension (#199125, bmo #45715)
- added mailnews.clobber_list_reply pref which switches
  "Reply All" to "Reply List" functionality if set
* Thu Jul 27 2006 stark@suse.de
- security update to version 1.5.0.5 (#195043)
- fixed overwrite confirmation for GTK filesaver (#179531)
* Wed Jun  7 2006 stark@suse.de
- fixed up BuildRequires
* Fri Jun  2 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun  2 2006 stark@suse.de
- update to security/stability release 1.5.0.4 (#179011)
  (http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird)
* Mon May 15 2006 stark@suse.de
- update to version 1.5.0.2
- update mailredirect to 0.7.3
- save printer settings properly (#174082, bmo #324072)
- improved postscript output (bmo #334485)
- changed defaults for printer properties (#6534)
- get available paper sizes from CUPS (#65482)
* Sat Mar 18 2006 stark@suse.de
- translations package is suggested now by main package
- yet another set of upstream fixes (#148876)
* Sun Mar 12 2006 stark@suse.de
- added Khmer (km-*) to pango locales (#157397)
- yet another set of upstream fixes (#148876)
* Sat Mar  4 2006 stark@suse.de
- latest security fixes from upstream (#148876)
- show multiple Reply-To addresses (bmo #106189)
* Fri Feb 24 2006 stark@suse.de
- added GTK category to desktop-file
- dumpstack.patch is in upstream patches now
- get some more patches (#148876)
* Tue Feb 14 2006 stark@suse.de
- applied set of security patches (#148876)
* Tue Feb  7 2006 stark@suse.de
- fixed disabling of Pango (#148788)
* Thu Feb  2 2006 stark@suse.de
- defined gssapi lib explicitely (#147670)
* Wed Feb  1 2006 stark@suse.de
- removed additional CA certs from builtin NSS
- make it possible to choose $HOME as download directory
  (#144894, bmo #300856)
- cleaned up BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 stark@suse.de
- disable Pango if MOZ_ENABLE_PANGO is not set
  and no typical language which needs Pango is used (#143428)
- preload libaoss for plugin sound (#117079)
- fix to ignore X composite extension (#135373)
* Wed Jan 18 2006 stark@suse.de
- added default (font) settings
- tweak useragent
- fixed DumpStackToFile() for glibc 2.4
* Thu Jan 12 2006 stark@suse.de
- update to 1.5 (20060111)
- added sytem extensions patch
- added XUL filechooser patch (MOZ_XUL_PICKER)
- update enigmail to 0.94.0
- use -fstack-protector where available
- use system NSS since CODE10
* Wed Dec 28 2005 stark@suse.de
- update to 1.5rc2 (20051227)
* Sun Dec 11 2005 stark@suse.de
- update to 1.5 (20051211)
- update enigmail to 0.93.2
* Tue Nov 29 2005 stark@suse.de
- update enigmail to 0.93.1
- added patch for GTK2 handling (#134831)
* Fri Nov 25 2005 stark@suse.de
- update to 1.5 (20051124)
* Fri Oct 28 2005 stark@suse.de
- update to latest 1.5 snapshot (20051027)
- added patch to be able to reply to and forward rfc822 messages
  (bmo #204350)
- again don't provide and require NSS stuff
- removed disable-gconf patch (no registration needed in build
  process anymore)
- added mailredirect extension
- removed update functionality
* Mon Oct 10 2005 stark@suse.de
- update to 1.5b2 (20051008)
- preinstall Enigmail (version 0.93.0) as global extension
- add all supported locales and use if installed
* Tue Oct  4 2005 stark@suse.de
- update to 1.5b2 (20051003) (RPM version 1.4.1)
- prerequire NSPR
- prepared translations subpackage
- fixed filelist
- fixed build with new gcc
* Wed Sep 21 2005 stark@suse.de
- update to 1.5b1 (20050920)
- added spellchecker integration with myspell (add-plugins.sh)
- removed aviary-install-global patch (not needed anymore, with
  new EM)
- enabled pango font rendering (through cairo hopefully)
- fixed GNOME gconf registration (#117851)
* Sat Aug 20 2005 stark@suse.de
- workaround for linking with pangoxft and pangox
  (broken by gtk 2.8 update) (#105764)
* Thu Aug 18 2005 stark@suse.de
- fixed Gdk-WARNING at startup (gtk.patch)
- fixed regression in profile locking change (bmo #303633)
- fixed crash with gtk 2.7 (bmo #300226, bnc #104586)
* Wed Aug  3 2005 stark@suse.de
- fixed profile locking (bmo #151188)
* Fri Jul 29 2005 stark@suse.de
- don't require and provide NSS libs (#98002)
* Fri Jul 22 2005 stark@suse.de
- fixed printing patch
* Tue Jul 19 2005 stark@suse.de
- added NSPR to PreReq
- disable stripping in specfile
* Fri Jul 15 2005 stark@suse.de
- update to 1.0.6 which restores API compatibility
- fixed width calculation in Postscript module (bmo #290292)
* Thu Jul 14 2005 stark@suse.de
- fixed filelist to include icon-file and startscript again
* Tue Jul 12 2005 stark@suse.de
- fixed remote usage behaviour in start script (bnc #41903)
- update to 1.0.5 security release
- fixed quoting patch
- moved desktop file to a Gnome independent location
- don't strip explicitely
- use RPM_OPT_FLAGS for NSS component
- fixed implicit declarations and uninitialized used variables
* Thu Apr 28 2005 stark@suse.de
- updated to current 1.0 branch version
- use static NSPR from other location
* Sat Apr 23 2005 stark@suse.de
- activate usage of system NSPR for distributions after 9.3
- add patch to be able to use systen NSPR at all
- extended desktop file
* Fri Apr 22 2005 ro@suse.de
- apply mozilla-gcc4.patch
* Wed Mar 23 2005 stark@suse.de
- update to 1.0.2
- use system NSPR on SUSE releases after 9.3
- made startscript PIS aware
- set g-application-name correctly (bmo #281979)
* Mon Mar  7 2005 stark@suse.de
- don't use gconfd in registration phase (#66381)
* Fri Feb 25 2005 stark@suse.de
- update to version 1.0.1
* Tue Feb 22 2005 stark@suse.de
- added patch to create Postscript level 2 (instead of 3)
  (special thanks to Jungshik Shin)
- disabled freetype explicitly to be able to use the above patch
  (freetype wasn't used anymore since some time anyway)
* Wed Feb  2 2005 stark@suse.de
- added a JS crasher fix (bmc #268535)
* Sat Jan 22 2005 stark@suse.de
- added some backported bugfixes
* Tue Dec  7 2004 stark@suse.de
- update to 1.0
- fixed extra lines in replies (bmo #144998)
- fixed build on s390/s390x
* Wed Nov 24 2004 stark@suse.de
- update to 20041123 snapshot
- inherit downloadFolder patch from Firefox
* Fri Nov 12 2004 stark@suse.de
- fixed chrome filelist
* Thu Nov  4 2004 stark@suse.de
- update to 0.9
- sync patch-set with firefox base
- fixed neededforbuild to get GNOME functionalities
* Fri Sep 17 2004 stark@suse.de
- added some missing fixes for official release
- synced add-plugins.sh
* Sat Sep 11 2004 stark@suse.de
- update to official 0.8 version (20040911)
- fixed enigmail config
* Mon Sep  6 2004 stark@suse.de
- fixed profile directory
* Fri Sep  3 2004 stark@suse.de
- update to thunderbird 0.8 (20040903)
- update enigmail to 0.86.0 and ipc to 1.0.8 (deactivated)
* Tue Aug 24 2004 stark@suse.de
- update to thunderbird 0.7.3
- update enigmail to 0.85.0 and ipc to 1.0.7
* Tue Jun 29 2004 stark@suse.de
- update to thunderbird 0.7.1
- update enigmail to 0.84.1
* Wed May 12 2004 ro@suse.de
- add some missing return values
* Mon May  3 2004 stark@suse.de
- update to Thunderbird 0.6 (based on 1.7rc1)
- use official branding for release builds
- added desktop-icon (#39139)
* Fri Apr  2 2004 stark@suse.de
- removing relocation of TEMP directory (#34391)
* Fri Mar 26 2004 uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Sun Mar  7 2004 ro@suse.de
- match function declaration in enigmail mimedummy.cpp
* Fri Mar  5 2004 stark@suse.de
- more fixes for #35179
- added firefox as default handler for its protocols
- update enigmail to 0.83.4
* Wed Mar  3 2004 stark@suse.de
- removed unused patches for GTK2 build
* Sun Feb 29 2004 stark@suse.de
- improved start-script to interact with firefox and mozilla
  (#35179)
* Fri Feb 27 2004 stark@suse.de
- update to 0.5
- spec-file cleanup
* Wed Oct 15 2003 stark@suse.de
- update to 0.3 (sync with mozilla 1.5)
* Tue Jul 15 2003 stark@suse.de
- initial package (snapshot 20030714)
